Package org.eclipse.graphiti.features.context

## Interface IPictogramElementContext

All Superinterfaces:
  `IContext`, `IPropertyBag`

All Known Subinterfaces:
  `IDeleteContext`, `IDirectEditingContext`, `ILayoutContext`, `IMoveShapeContext`, `IRemoveContext`, `IResizeShapeContext`, `IUpdateContext`

All Known Implementing Classes:
  `DeleteContext`, `DetailedPictogramElementContext`, `DirectEditingContext`, `IdLayoutContext`, `IdUpdateContext`, `LayoutContext`, `MoveShapeContext`, `PictogramElementContext`, `RemoveContext`, `ResizeShapeContext`, `UpdateContext`

    public interface IPictogramElementContext
    extends IContext

The Interface IPictogramElementContext.

### Method Summary

All Methods Instance Methods Abstract Methods
`PictogramElement` `getPictogramElement()` Gets the pictogram element.

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

### Method Detail

#### getPictogramElement

    PictogramElement getPictogramElement()

Gets the pictogram element.

Returns:
  the pictogram element